Open an agent conversation
curl --request POST \
--url https://api.akua.dev/v1/agent_sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"agent_id": "<string>",
"agent": "<unknown>",
"title": "<string>"
}
'import requests
url = "https://api.akua.dev/v1/agent_sessions"
payload = {
"agent_id": "<string>",
"agent": "<unknown>",
"title": "<string>"
}
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({agent_id: '<string>', agent: '<unknown>', title: '<string>'})
};
fetch('https://api.akua.dev/v1/agent_sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "created",
"session_id": "<string>",
"agent_id": "<string>"
}{
"_tag": "Validation",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unauthorized",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Forbidden",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "NotFound",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Conflict",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "ServiceUnavailable",
"success": false,
"errors": [],
"result": {}
}Agent commands
Open an agent conversation
Creates one persisted conversation for an existing enabled Agent. Retry the identical Idempotency-Key and input to recover original creation; changed input conflicts. This acknowledgement does not start a model or assert Worker readiness.
POST
/
agent_sessions
Open an agent conversation
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Headers
Required string length:
1 - 54Required stable key. Retry the identical key and input after an uncertain response.
Required string length:
1 - 64Body
application/json
⌘I